Package edu.claflin.finder.io.graph

# Class NOABatchIO

java.lang.Object
edu.claflin.finder.io.graph.NOABatchIO

All Implemented Interfaces:
  `GraphWriter`

public final class NOABatchIO extends Object implements GraphWriter
A class for writing graphs in the NOA batch format. NOA batch format is similar to the SIF format except that multiple graphs are contained within a single file for batch processing by the NOA plugin for Cytoscape. An example batch graph is here:

Version:
  3.1 May 28, 2015
Author:
  Charles Allen Schultz II

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private final String`
  `defaultRelationship`
  Contains the String representation of the default relationship to use.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NOABatchIO(String defaultRelationship)`
  Constructs the NOABatchIO object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `private String`
  `verifyRelationship(Object edgeData)`
  Verifies the relationship between edges.
  `void`
  `writeGraph(Graph toWrite)`
  Writes graphs to memory.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### defaultRelationship

    private final String defaultRelationship
    Contains the String representation of the default relationship to use. The default relationship value is used when writing a graph and the graph being read does not use String objects to represent edges. Currently, String objects are being used for simplicity.

- ## Constructor Details

  - ### NOABatchIO

    public NOABatchIO(String defaultRelationship)
    Constructs the NOABatchIO object.
    Parameters:
      `defaultRelationship` - the String representing the default edge relationship.

- ## Method Details

  - ### writeGraph

    public void writeGraph(Graph toWrite)
    Writes graphs to memory. Writes NOA batch files.
    Specified by:
      `writeGraph` in interface `GraphWriter`
    Parameters:
      `toWrite` - the Graph object to write to memory.

  - ### verifyRelationship

    private String verifyRelationship(Object edgeData)
    Verifies the relationship between edges. Checks to see that the Object used in the `Graph` for representing an edge is a String. If it not, the default relationship is used instead.
    Parameters:
      `edgeData` - the Edge Data
    Returns:
      the relationship in the edge